;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-

;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          cl-digg.asd
;;;; Purpose:       ASDF definition for cl-digg.asd
;;;; Programmer:    Nicolas Lamirault <nicolas.lamirault@gmail.com>
;;;;
;;;; This file, part of cl-digg, is Copyright (c) 2007 by Nicolas Lamirault
;;;;
;;;; cl-digg users are granted the rights to distribute and use this software
;;;; as governed by the terms of the Lisp Lesser GNU Public License
;;;; (http://opensource.franz.com/preamble.html), also known as the LLGPL.
;;;;
;;;; *************************************************************************


(in-package :asdf)


(defsystem cl-digg
    :name "cl-digg"
    :author "Nicolas Lamirault <nicolas.lamirault@gmail.com>"
    :maintainer "Nicolas Lamirault <nicolas.lamirault@gmail.com>"
    :version "0.1"
    :licence "Lisp Lesser GNU General Public License"
    :description "Common Lisp wrapper of the Digg REST API."
    :depends-on (:drakma)
    :components
    ((:module :src
              :components
              ((:file "package")
               (:file "conditions" :depends-on ("package"))
               (:file "specials" :depends-on ("package"))
               (:file "api" :depends-on ("conditions" "specials"))))))

