;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-

;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          package.lisp
;;;; Purpose:       Package definition file for cl-digg
;;;; Programmer:    Nicolas Lamirault <nicolas.lamirault@gmail.com>
;;;;
;;;; This file, part of cl-digg, is Copyright (c) 2007 by Nicolas Lamirault
;;;;
;;;; cl-digg users are granted the rights to distribute and use this software
;;;; as governed by the terms of the Lisp Lesser GNU Public License
;;;; (http://opensource.franz.com/preamble.html), also known as the LLGPL.
;;;;
;;;; *************************************************************************


(defpackage :cl-digg
  (:use :cl)
  (:documentation "REST Digg API Wrapper Common Lisp package")
  (:export #:digg-error
           
           #:get-error-code

           #:get-users
           #:get-user-friends
           #:get-user-fans

           #:get-topics

           #:list-stories
           #:list-container-stories
           #:list-topic-stories
           #:list-user-stories
           #:get-story
   ))



